Create a new log suggestion

Purpose: Log suggestions are made to correct or update log entries for drivers in Motive. Use this API to create a new log suggestion.

šŸ“˜

NOTE

Ensure that you add the body parameters as per your requirements. For more info, refer to the Body Parameters section below:

Response Parameters

log_suggestion

  • Type: Object
  • Description: Details of a log suggestion.

id

  • Type: Integer
  • Description: The unique identifier for the log suggestion.

driver_ids

  • Type: Integer
  • Description: List of driver IDs associated with the log suggestion.

log_ids

  • Type: Integer
  • Description: List of log IDs associated with the log suggestion.

status

  • Type: String
  • Description: The status of the log suggestion (e.g., suggested).

suggested_at

  • Type: String
  • Description: The timestamp when the suggestion was made.

reason

  • Type: String
  • Description: The reason for the log suggestion, if any.

id

  • Type: Integer
  • Description: The unique identifier for the driver.

first_name

  • Type: String
  • Description: The driver's first name.

last_name

  • Type: String
  • Description: The driver's last name.

driver_company_id

  • Type: String
  • Description: The company ID associated with the driver.

eld_mode

  • Type: String
  • Description: The ELD mode for the driver (e.g., logs).

id

  • Type: Integer
  • Description: The unique identifier for the dispatcher.

first_name

  • Type: String
  • Description: The dispatcher's first name.

last_name

  • Type: String
  • Description: The dispatcher's last name.

suggested_changes

  • Type: Object
  • Description: List of changes suggested to the log.

field_name

  • Type: String
  • Description: The name of the field being suggested for change.

old_value

  • Type: String
  • Description: The previous value of the field.

new_value

  • Type: string
  • Description: The new value being suggested for the field.

Body Params
int32
required

Specify an ID for the log that you want to suggest or create.

int32
required

Specify the ID of the dispatcher that will relay the suggestion to the driver.

string

Specify the shipping document numbers if available.

vehicle_ids
object
asset_ids
object
co_driver_ids
object
string

Specify the name of the carrier for which you are creating this log suggestion.

string

Specify the street of the carrier.

string

Specify the zip code of the carrier.

string

Specify the street of the terminal.

string

Specify the city of the terminal.

string

Specify the state of the terminal.

string

Specify the zip code of the terminal.

string

Specify the origin or the starting point of the carrier.

string

Specify the destination of the carrier.

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json